### Method

# Ide EditorSearch get_search_text_invalid

#### Declaration

    gboolean
    ide_editor_search_get_search_text_invalid (
      IdeEditorSearch* self,
      guint* invalid_begin,
      guint* invalid_end,
      GError** error
    )

#### Description

Checks to see if the search text contains invalid contents, such as an invalid regex.

Available since: | 3.32

#### Parameters

`invalid_begin` | `guint*`
| A begin location for the invalid range.
| The argument will be set by the function.
| The argument can be set to `NULL`.
`invalid_end` | `guint*`
| An end location for the invalid range.
| The argument will be set by the function.
| The argument can be set to `NULL`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the search text contains invalid content. If `TRUE`, then `invalid_begin` and `invalid_end` is set.